org.icefaces.ace.component.tooltip

## Class TooltipTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.tooltip.TooltipTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TooltipTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TooltipTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setConverter(javax.el.ValueExpression converter)`
    `void` | `setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)`
    `void` | `setDisplayListener(javax.el.MethodExpression displayListener)`
    `void` | `setFetch(javax.el.ValueExpression fetch)`
    `void` | `setFor(javax.el.ValueExpression forValue)`
    `void` | `setForContainer(javax.el.ValueExpression forContainer)`
    `void` | `setForDelegate(javax.el.ValueExpression forDelegate)`
    `void` | `setForElement(javax.el.ValueExpression forElement)`
    `void` | `setGlobal(javax.el.ValueExpression global)`
    `void` | `setHideDelay(javax.el.ValueExpression hideDelay)`
    `void` | `setHideEffect(javax.el.ValueExpression hideEffect)`
    `void` | `setHideEffectLength(javax.el.ValueExpression hideEffectLength)`
    `void` | `setHideEvent(javax.el.ValueExpression hideEvent)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setPosition(javax.el.ValueExpression position)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setShowDelay(javax.el.ValueExpression showDelay)`
    `void` | `setShowEffect(javax.el.ValueExpression showEffect)`
    `void` | `setShowEffectLength(javax.el.ValueExpression showEffectLength)`
    `void` | `setShowEvent(javax.el.ValueExpression showEvent)`
    `void` | `setSpeechBubble(javax.el.ValueExpression speechBubble)`
    `void` | `setStore(javax.el.ValueExpression store)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`
    `void` | `setTargetPosition(javax.el.ValueExpression targetPosition)`
    `void` | `setValue(javax.el.ValueExpression value)`
    `void` | `setWidgetVar(javax.el.ValueExpression widgetVar)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TooltipTag

          public TooltipTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setConverter

          public void setConverter(javax.el.ValueExpression converter)

    - #### setDelegateDisplayListener

          public void setDelegateDisplayListener(javax.el.MethodExpression delegateDisplayListener)

    - #### setDisplayListener

          public void setDisplayListener(javax.el.MethodExpression displayListener)

    - #### setFetch

          public void setFetch(javax.el.ValueExpression fetch)

    - #### setFor

          public void setFor(javax.el.ValueExpression forValue)

    - #### setForContainer

          public void setForContainer(javax.el.ValueExpression forContainer)

    - #### setForDelegate

          public void setForDelegate(javax.el.ValueExpression forDelegate)

    - #### setForElement

          public void setForElement(javax.el.ValueExpression forElement)

    - #### setGlobal

          public void setGlobal(javax.el.ValueExpression global)

    - #### setHideDelay

          public void setHideDelay(javax.el.ValueExpression hideDelay)

    - #### setHideEffect

          public void setHideEffect(javax.el.ValueExpression hideEffect)

    - #### setHideEffectLength

          public void setHideEffectLength(javax.el.ValueExpression hideEffectLength)

    - #### setHideEvent

          public void setHideEvent(javax.el.ValueExpression hideEvent)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setPosition

          public void setPosition(javax.el.ValueExpression position)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setShowDelay

          public void setShowDelay(javax.el.ValueExpression showDelay)

    - #### setShowEffect

          public void setShowEffect(javax.el.ValueExpression showEffect)

    - #### setShowEffectLength

          public void setShowEffectLength(javax.el.ValueExpression showEffectLength)

    - #### setShowEvent

          public void setShowEvent(javax.el.ValueExpression showEvent)

    - #### setSpeechBubble

          public void setSpeechBubble(javax.el.ValueExpression speechBubble)

    - #### setStore

          public void setStore(javax.el.ValueExpression store)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setTargetPosition

          public void setTargetPosition(javax.el.ValueExpression targetPosition)

    - #### setValue

          public void setValue(javax.el.ValueExpression value)

    - #### setWidgetVar

          public void setWidgetVar(javax.el.ValueExpression widgetVar)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.